Public Member Functions | Public Attributes | List of all members
libvisio::ForeignData Struct Reference

`#include <VSDTypes.h>`

## Public Member Functions
| ForeignData ()

## Public Attributes
unsigned | typeId
unsigned | dataId
unsigned | type
unsigned | format
double | offsetX
double | offsetY
double | width
double | height
librevenge::RVNGBinaryData | data

## Constructor & Destructor Documentation

## ◆ ForeignData()

libvisio::ForeignData::ForeignData | ( |  | ) |
| inline

## Member Data Documentation

## ◆ data

librevenge::RVNGBinaryData libvisio::ForeignData::data

Referenced by ForeignData().

## ◆ dataId

unsigned libvisio::ForeignData::dataId

Referenced by ForeignData().

## ◆ format

unsigned libvisio::ForeignData::format

Referenced by ForeignData().

## ◆ height

double libvisio::ForeignData::height

Referenced by ForeignData().

## ◆ offsetX

double libvisio::ForeignData::offsetX

Referenced by ForeignData().

## ◆ offsetY

double libvisio::ForeignData::offsetY

Referenced by ForeignData().

## ◆ type

unsigned libvisio::ForeignData::type

Referenced by ForeignData().

## ◆ typeId

unsigned libvisio::ForeignData::typeId

Referenced by ForeignData().

## ◆ width

double libvisio::ForeignData::width

Referenced by ForeignData().

The documentation for this struct was generated from the following file:

- VSDTypes.h